// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.deu.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>D182SchleswigHolstein</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>D182SchleswigHolstein.createInstance()</code> or <code>new D182SchleswigHolstein()</code>. </p>
 * <ul>
 *     <li> Country: Germany (DEU) = <code>78</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Destroyer = <code>5</code>; </li>
 *     <li> SubCategory: HamburgclassType101A  = <code>2</code>; </li>
 *     <li> Specific: D182SchleswigHolstein  = <code>2</code>; </li>
 *     <li> Entity type uid: 16396; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v29 (2021-05-19)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@132e0cc. </p>
 * @see Country#GERMANY_DEU
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see Destroyer
 * @see SubCategory

 */
public final class D182SchleswigHolstein extends EntityType
{
    /** Default constructor */
    public D182SchleswigHolstein()
    {
        setCountry(Country.GERMANY_DEU);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)5); // uid 16392, Destroyer
        setSubCategory((byte)2); // uid 16394, Hamburg class (Type 101A)
        setSpecific((byte)2); // uid 16396, D182 Schleswig-Holstein
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static D182SchleswigHolstein createInstance()
    {
            return new D182SchleswigHolstein();
    }
}
