// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.mhl.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>ANLWarringa</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>ANLWarringa.createInstance()</code> or <code>new ANLWarringa()</code>. </p>
 * <ul>
 *     <li> Country: Marshall Islands (MHL) = <code>137</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Dry Cargo Ship (Group 2 Merchant) = <code>81</code>; </li>
 *     <li> SubCategory: ContainerShip  = <code>3</code>; </li>
 *     <li> Specific: ANLWarringa  = <code>1</code>; </li>
 *     <li> Entity type uid: 28170; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v29 (2021-05-19)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SpecificElem@38d5b107. </p>
 * @see Country#MARSHALL_ISLANDS_MHL
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see DryCargoShipGroup2Merchant
 * @see SubCategory

 */
public final class ANLWarringa extends EntityType
{
    /** Default constructor */
    public ANLWarringa()
    {
        setCountry(Country.MARSHALL_ISLANDS_MHL);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)81); // uid 28168, Dry Cargo Ship (Group 2 Merchant)
        setSubCategory((byte)3); // uid 28169, Container Ship
        setSpecific((byte)1); // uid 28170, ANL Warringa
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static ANLWarringa createInstance()
    {
            return new ANLWarringa();
    }
}
